### Name: GAMens.cv
### Title: Runs v-fold cross validation with GAMbag, GAMrsm or GAMens
###   ensemble classifier
### Aliases: GAMens.cv
### Keywords: models classif

### ** Examples

## Load data: mlbench library should be loaded!)
library(mlbench)
data(Sonar)

## Perform 10-fold cross-validation of GAMrsm ensemble on Sonar data 
## using all variables
Sonar.cv.GAMrsm <- GAMens.cv(Class~., Sonar ,10, 3 , autoform=TRUE, iter=10, 
bagging=FALSE,rsm=TRUE )

## Compare classification performance of GAMens, GAMrsm and GAMbag 
## ensembles, using all variables in the Sonar dataset, based on 10-fold 
## cross validation runs
Sonar.cv.GAMens <- GAMens.cv(Class~s(V1,4)+s(V2,3)+s(V3,4)+V4+V5+V6, 
Sonar ,5, 4 , autoform=FALSE, iter=10 )

Sonar.cv.GAMrsm <- GAMens.cv(Class~s(V1,4)+s(V2,3)+s(V3,4)+V4+V5+V6, 
Sonar ,5, 4 , autoform=FALSE, iter=10, bagging=FALSE, rsm=TRUE )

Sonar.cv.GAMbag <- GAMens.cv(Class~s(V1,4)+s(V2,3)+s(V3,4)+V4+V5+V6, 
Sonar ,5, 4 , autoform=FALSE, iter=10, bagging=TRUE, rsm=FALSE )

## Calculate AUCs (for function colAUC, load caTools library)
library(caTools)
GAMens.cv.auc <- colAUC(Sonar.cv.GAMens[[2]], Sonar["Class"]=="R", 
plotROC=FALSE)
GAMrsm.cv.auc <- colAUC(Sonar.cv.GAMrsm[[2]], Sonar["Class"]=="R", 
plotROC=FALSE)
GAMbag.cv.auc <- colAUC(Sonar.cv.GAMbag[[2]], Sonar["Class"]=="R", 
plotROC=FALSE)




